Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server Web Services Java API Reference 10g Release 3 (10.1.3) B25988-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.webservices.reliability
Class ReliabilityEvent

`java.lang.Object
java.util.EventObject
oracle.webservices.reliability.ReliabilityEvent`

All Implemented Interfaces:
  Serializable

public class ReliabilityEvent
extends EventObject

Event sent to the reliability listeners

See Also:
  Serialized Form

Field Summary
`static int` | `TYPE_ACK` The event is for an acknowledgement
`static int` | `TYPE_FAULT` The event is for a fault.

Constructor Summary
`ReliabilityEvent(Object source, int type, String groupId, long sequenceNumber, SOAPMessage message)` Constructor for a reliability event

Method Summary
`String` | `getGroupId()` Get the group id for the message in this event
`SOAPMessage` | `getMessage()` Get the SOAP message in this event
`long` | `getSequenceNumber()` Get the sequence number for the message in this event
`int` | `getType()` Get the type of event

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_ACK

    public static final int TYPE_ACK

  The event is for an acknowledgement
  See Also:
    Constant Field Values

### TYPE_FAULT

    public static final int TYPE_FAULT

  The event is for a fault.
  See Also:
    Constant Field Values

Constructor Detail

### ReliabilityEvent

    public ReliabilityEvent(Object source,
                            int type,
                            String groupId,
                            long sequenceNumber,
                            SOAPMessage message)

  Constructor for a reliability event
Parameters:
  `source` - the event source
  `type` - the type of event
  `groupId` - the group id
  `sequenceNumber` - the sequence number
  `message` - the soap message

Method Detail

### getGroupId

    public String getGroupId()

  Get the group id for the message in this event
  Returns:
    the group id

### getSequenceNumber

    public long getSequenceNumber()

  Get the sequence number for the message in this event
  Returns:
    the sequence number

### getType

    public int getType()

  Get the type of event
  Returns:
    the type of event

### getMessage

    public SOAPMessage getMessage()

  Get the SOAP message in this event
  Returns:
    the SOAP message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright © 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD